TAAS - Feature #120

Received Cheque Cancel
12/07/2022 12:18 PM - Anil KV

Status: Reopen Bugs Start date: 12/07/2022
Priority: Normal Due date:

Assignee: Vivekp V % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Received Cheque Cancel

Description

Coding Received Cheque Cancel

History

#1 - 02/01/2023 09:40 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

#2 - 04/13/2023 04:02 PM - Junaid M
- Assignee changed from Junaid M to Karthika V Anand

#3 - 04/27/2023 11:17 AM - Karthika V Anand
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#4 - 05/16/2023 02:41 PM - Karthika V Anand
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#5 - 05/17/2023 04:28 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Showing 'updated by another user' alert at update

2.Fix bugs on Branch & Department - Missing

(New,Search,Update)

3.Set required validation on Debit Account

4 Error on popup- Showing wrong Doc. No.

5.Fix error on Main ledger ID - Party & Currency missing on Document Search
6.Add precision on amount

#6 - 05/18/2023 11:58 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#7 - 06/01/2023 06:31 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Prevent multiple cancelation on same cheque

#8 - 08/22/2023 04:54 PM - Seema Mathew
- Tested By changed from Amal Cyriac to Seema Mathew

ISSUE FOUNDED-

1.NEED NOT A NAME -APPROVED BY

#9 - 10/07/2023 05:12 PM - Junaid M
- Assignee changed from Karthika V Anand to Amal Siby

#10 - 10/11/2023 07:08 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

Repotted bug fixed.

#11 - 10/12/2023 04:45 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED****

1.MISSING DEPARTMENT WHILE SAVE

#12 - 10/18/2023 07:22 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Reported Bug Fixed

#13 - 11/02/2023 02:00 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

Fixed 1.NO DATA SHOWING WHILE SEARCH

Fixed 2.CORRECT Ul ORDER CHEQUE STATUS,ID OPTIONS REFER (CHEQUE RETURN)
Fixed 3.ADD DOC STATUS*

Fixed 4.ADD MANDATORY FIELD IN POSTING STATUS

Fixed 5.SHOW DEBIT ADD BUTTON

(MOST OF THE ISSUES ARE SAME REFER CHEQUE RETURN MODULE)

#14 - 11/30/2023 03:45 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 12/11/2023 01:07 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

Fixed 1.REMOVE ALL SELECT OPTION FROM SEARCH LIST

Fixed 2.DUPLICATION OF DOC NO IN CHEQUE LIST

Fixed 3.CORRECT POSITION DOC NO,POSTING STATUS (NARRATION,DOC STATUS,POSTING STATUS)

Fixed 4.CLEAR SAVED RESPONSIBLE EMPLOYEE,ACCOUNT WHILE SELECTING NEW BUTTON

Fixed 5.DONT SHOW AMOUNT AND AMOUNT IN QAR WHILE THE CANCEL DOCUMENT DEFAULT CURRENCY IS QAR (DEBIT COLUMN)
Fixed 6.MISSING COLUMN LINE FROM PARTY LIST

Fixed 7.MISSING ADDED ATTACHMENT FILE AFTER SAVE

#16 - 12/11/2023 08:23 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 12/14/2023 02:57 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

Fixed 1.DUPLICATION OF CANCELLED DOC NO IN CHEQUE ACTIVITY WHILE UPDATING AFTER SAVE

Fixed 2.CLEAR RES.EMPLOYEE,ACCOUNT DATAS WHILE SELECTING NEW BUTTON

Fixed 3.DONT SHOW DEBIT COLUMN AS AMOUNT AND AMOUNT IN QAR IF THE PARTYS DEFAULT CURRENCY IS BASE 1 QAR
Fixed 4.SHOWING SYSTEM ERROR WHILE ADDING DIRECTLY CHEQUE NO IN CHEQUE FILTER FIELD

Fixed 5.MISSING PARTY COLUMN LINE

#18 - 12/14/2023 08:17 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#19 - 12/15/2023 09:53 AM - unnikannan S
TESTING DONE

#20 - 01/02/2024 10:25 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

Fixed 1.MISSING POSTING

Not Bug ,Posting can only be done when the cheque status is 'With Hold' (H).
#21 - 01/02/2024 11:43 AM - Amal Siby

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#22 - 01/25/2024 02:20 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

Done 1.SHOW DATA AS PER ADDED DOCUMENT/DEPOSITE DATE
Done 2.ADD A BLANK OPTION IN CURRENCY FIELD

Done 3.ADD MANDATORY FIELD FOR STATUS
Done 4. TRANSLATION BUG IN DEPOSITE DATE FIELD
#23 - 01/25/2024 04:47 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#24 - 02/01/2024 10:01 AM - unnikannan S
TESTING DONE

#25 - 02/02/2024 12:00 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

Ul CHANGED

1.ADDED PARTY POP UP BUTOON IN DEBIT ACCOUNT GRID

#26 - 02/27/2024 11:26 AM - unnikannan S

- Status changed from Reopen Bugs to New Changes

#27 - 02/27/2024 12:41 PM - Amal Siby
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#28 - 02/27/2024 12:41 PM - Amal Siby
- Status changed from New Changes Coding Done to New Changes
- % Done changed from 70 to 50

#29 - 02/27/2024 03:51 PM - Amal Siby
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#30 - 02/27/2024 04:59 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50
ISSUE FOUNDED
Fixed 1.CLEAR CURRENCY CODE FROM DEBIT POP UP

Fixed 2.ADD PRECISION VALUE
Fixed 3.MISSING POSTING IN CASE OF ADDING A NEW PARTY FROM DEBIT POP UP ==>( Only needed in case of cheque status on Hold )

#31 - 02/29/2024 12:30 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#32 - 03/01/2024 11:06 AM - unnikannan S
TESTING DONE

#33 - 03/13/2024 11:19 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

Fixed 1.CANT SAVE AMOUNTS WITH DECIMAL VALUE

#34 - 03/13/2024 05:20 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#35 - 03/14/2024 10:41 AM - unnikannan S
TESTING DONE

#36 - 05/03/2024 10:44 AM - Junaid M
- Assignee changed from Amal Siby to Vivekp V

#37 - 06/29/2024 11:31 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Focus Out Fare Value Change In Case Of Multiple Currency In Debit Party Change field
2.Show An Info Message In Case There Is No Posting Founded In Case of Data From Return

#38 - 07/01/2024 02:08 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FOUNDED
1.Fix Focus Out Fare Value Change In Case Of Multiple Currency In Debit Party Change field precision changed from 3 to zero for every currency so

now when using 2 precision this error not occuring
2.Show An Info Message In Case There Is No Posting Founded In Case of Data From Return DONE

#39 - 07/18/2024 04:50 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

GUI Change

Add Hyperlink in the Cheque Activity Doc No Column.

#40 - 07/18/2024 07:10 PM - Vivekp V

- Status changed from Reopen Bugs to New Changes

#41 - 07/19/2024 09:24 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

GUI Change DONE

Add Hyperlink in the Cheque Activity Doc No Column.

#42 - 07/26/2024 02:29 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Bugs On Save In Case Of Adding its an Already Deleted Cancel Document

#43 - 07/29/2024 12:05 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED
1.Fix Bugs On Save In Case Of Adding its an Already Deleted Cancel Document

#44 - 09/03/2024 02:54 PM - Arathy PS

- File clipboard-202409031453-6koc7.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

Received Cheque Cancel

Chegue detalis amount and Party total amount is Mismatching { 15500, Amount In SAR) not equal to { 310,00, Amount InSAR). e
Doc No Date* | 03/09/2024 ] Branch* | BRODT: Main & m
Responsible User Deparment” | DPOO1: Account v
Narration Crested By
£ Modified By:
Document Status® | Active v By
Pesting Status* | Artive ~ By

Party  Chegue Activity

ChequeMo | 350360 Q Date | 03/09/2024
susdBank | gg) Cumensy | SAR v T @ = @
Amount | 155.00 # Party Currency Amount Extra/Discount
Chague Return D Number SAR 155.00 a0
Ststus
SAR 155.00 Q.00
Eiziz Branch BROO1 Main
Name
Bank s8I Department  DPO01 Account

ww

#45 - 09/19/2024 02:14 PM - unnikannan S
ISSUE FOUNDED

1.Load Cheque Party Name In Search Pop Up List

#46 - 09/28/2024 04:07 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Load Cheque Party Name In Search Pop Up List
Can't cancel a cheque (steps: Cheque deposit-->Cheque return-->Cheque deposit-->Cheque return--> Cheque cancel)

#47 - 09/28/2024 04:35 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

GUI ENHANCEMENT

The search pop up should be disabled and after clicking search button and data appears the search button should change to reset button. (refer
package stock unreported report)

#48 - 09/30/2024 02:56 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

GUI ENHANCEMENT DONE
The search pop up should be disabled and after clicking search button and data appears the search button should change to reset button. (refer
package stock unreported report)

#49 - 10/17/2024 07:39 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Connect Print in Ul

#50 - 10/18/2024 03:44 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Connect Print in Ul

#51 - 10/24/2024 04:21 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Not Loading Precision Value In Cheque Pop Up

2.Freeze The Issued Bank Code Field After Showing Data
3.Showing Invalid Message While Focus Outing From Cheque No Field After Loading The Cheque No

#52 - 10/28/2024 09:46 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED
1.Not Loading Precision Value In Cheque Pop Up

2.Freeze The Issued Bank Code Field After Showing Data
3.Showing Invalid Message While Focus Outing From Cheque No Field After Loading The Cheque No

#53 - 11/05/2024 12:43 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1.CANT LOAD THE DOCUMENT IN CORRESPONDING MODULE
2.IN THE SEARCH POP UP CHEQUE IS RECEIVING ONLY WHEN THE TO DATE IS NEXT DAY DATE OF THE CHEQUE DATE

#54 - 11/05/2024 06:16 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.CANT LOAD THE DOCUMENT IN CORRESPONDING MODULE
2.IN THE SEARCH POP UP CHEQUE IS RECEIVING ONLY WHEN THE TO DATE IS NEXT DAY DATE OF THE CHEQUE DATE

#55 - 11/15/2024 11:41 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90
#56 - 01/24/2025 03:23 PM - Theja Ponon
- File clipboard-202501241522-afxbe.png added
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

#57 - 01/25/2025 04:55 PM - Theja Ponon
- File clipboard-202501251654-e9hoi.png added

#58 - 01/27/2025 11:12 AM - Theja Ponon
- File clipboard-202501271109-fgxax.png added

Issue found

Received Cheque Cancel 29| =] wew - _ = A -]
. Respensible User = Depanment* - New
- Narration Asferance
i 4
Documem S@ts | Active v By Creatad By:
Modified By:
Posting Status* | Active v Br

Fin Party | Cheque Activity
Cheque No qQ Date | z7/1/2005
Issued Bank Depdsit Date | 27,01/2025 Yy a B g m
Amount | 000 jurrency ~ .
Party Currency Amount | Extra/Discount
Cheque
.l Cr 12 Number
Name On
Branch
Chequa
a No data
i Bank Department

2)In search pop up branch filter is not working . share component
3)this issue on deletion FIXED

42601: syntax ermor at or near )"

Delets Reason® 3

IE Close & Delete

4)This message on entering cheque number direcly without using search FIXED
Received Cheque Cancel

The Given Chegque Mumber Is Not allowed to perform Retum.

Doc No Date* | 25/01/2025 ] Branch® | BROD1: Main ~
Responsible User - Department® w
Narration Reference
A
Document Status* | Ackive v By Cresta B
Modified By:

Posting Status* | Active v By

Party = Cheque Activity

ChequsNo | 4 Q Dare
Issued Bank Deposit Date T Q Fe -]
Amount | 0.00 Currency e # Party Currency Amount  Extra/Discount

Cheque

P 1D Number

g:emecn o

e
= No data
Bank Department

#59 - 02/04/2025 10:58 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#60 - 02/25/2025 12:40 PM - Arathy PS

- File clipboard-202502251240-govev.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Can cancel same cheque in different bank at the same time in two different tabs. USE SP SCRIPT CHANGES IN DB
DocNe | RCC/002 Date” | 25/02/2025 ] Branch® | BROOT: Main ~

Responsible User ~

Department”  DPOO: Account v
Narration Referance
2
Document Status™ | Active v &y Created By:  Administrator(25/02/2025 12:36 PM)
Modified By:
Posting Status”™ | Active v By
Party = Cheque Activity
lssued Bark | 58| Deposit Date 2 Action List T Q 2 [
Amount: | 1000.00 Currency | QAR ~ # | Doc No Doc Date Reference Narration Created By Create
gthﬂ:e Cancelled D Number | 10001 1| RCC/002 25/02/2025 admin 25/02/
2 | RCC/001 25/02/2025 admin 25/02/
apeC| Baui Branch BROO1 Main ) )
Cheque 3| RCRAO0Z 25/02/2025 admin 25/02/
Bank SBI Department  DPO01 Account 4 | RCRAOO1 25/02/2025 ==t 25/02¢
5 | RCD/02 25/02/2025 admin 25/02/

#61 - 02/25/2025 04:17 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#62 - 03/13/2025 10:22 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

Set Document Id in Posting DONE

Eg:
mdITransaction.binDocumentld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure
mdITransaction.binSubDocld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure

#63 - 03/13/2025 12:34 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#64 - 04/29/2025 01:05 PM - Theja Ponon

- File clipboard-202504291140-cukkd.png added

- File clipboard-202504291152-qz800.png added

- File clipboard-202504291204-8eeu6.png added

- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

Travvise

jsnSqlRes: {'sinSqiC: IC de" : "ERROR", "strSqlC " . “ReceivedChequeCancelDrAc Save Failed”, “strSqlCustomErrorType" : "DATABASE_SYSTEM_ERROR, *strSqIC ode" : null, " " "jsnSqlRes: {\"sinSqlC i, X
'strSqiCy de\" :\"ERRORY’, \"strSqIC " : \"Received Cheque Log Save Failed\", \'strSqiCustomErrorType\* : \"DATABASE_SYSTEM_ERRORV', \"strSqlC ‘ode\” : null, \" " : \*duplicate key value violates unique constraint
W*tb_rec_cheque_cancel_dr_ac_log_pkeyW\"\", \"strSqiSysExceptionDetail\' : \'Key {pk_rec_cheque_cancel_dr_ac_log_id)=(1) already exists\", \"strSqiSysExceptionHint\" : \*remote SQL command: INSERT INTO public.tbl_rec_cheque_cancel_dr_ac_log{pk_rec_cheque_cancel_dr_ac_log_id,

fk_rec_cheque_cancel_dr_ac_id, fl_rec_cheque_cancel log_id, fk_rec_cheque._canceLid, fk_account.id, fk_dr_main_ledger_id, vh_ledg_currency, dbl ledg_cur_roe, dbl_ledg_cur_amount, vhr_base_currency, dbl_base_cur_amount) VALUES (31, 52, $3, $4, $5, 56, §7, $8, §9, $10, §11) RETURNING

ph_rec_cheque_cancel d_ac_log_i@\nSQL statement W\ INSERT INTO log.tb1_rec._cheque_cancel dr =¢_lag (pk_rec_chegue cancel_dr_ac_Iog. id\\A\n frec_cheque_cancel_dr_ac id Py fl rec_cheque cancel o

X\in fic_rec_cheque_cancel id \nY\\n fk_account_id Mrin
flc_dr_main_ledger_id \A\n\ritn vhr_ledg_currency,{\i\\n dbl ledg_cur_roe\\Akn\\i\n dbl_ledg_cur_amount X\#{\n vhr_base_currency Mrin dbl_base_cur_ amounti\rlln J\Akn\\ln SELECT (SELECT COALESCE(MAX(pk_rec_cheque_cancel_dr_ac_log_id), 0) + 1 FROM log,tbl_rec_cheque_cancel_dr_ac_log) AS
ph_rec_cheque_cancel_dr_ac_log_id \*\n pl_rec_cheque_cancel dr_ac_id \\\\A\n CAST(binRecChequeCancelLogld AS BIGINT)\\ln % _rec_cheque_cancel id \\\n\\rin flc account id \\Aln fic dr_main_ledger_id\\An\\ii\n vhr_ledg_currency \\{\n dbl_ledg_cur_roe \r\ni\i\n dbl_ledg_cur_amount Metn
vhr_base_currency \An dbl_base_cur_amount\\An\\n FROM receivedcheque.thi_rec_cheque_cancel_dr_ac WHERE fk_rec_cheque._cancel_id = CAST(binRecChequeCancelld AS BIGINT)\win RETURNING pk_rec_cheque_cancel_dr_ac_log_idW\"\\nPL/pgSQL function
sp_insert_or_update_rec_cheque_cancel_dr_ac_base | line 9 at SQL QL statement \W'CALL sp_insert_or_update._rec_cheque_cancel_dr_ac_base_log(binRecChequeCancelDrAcid:BIGINT binRecChequeCancelLogld =BIGINT, jsnSql "\nPLipgSQL function
sp_insert_or_update.rec_cheque_cancel.ci_ac_base(jsonb[]bigintbigint smalint) ine 24 at CAL\\iSQL statement W\ CALL sp_insertor_update.ec_cheque_cancel dr_ac_baselarjsnRecChequeCancelDetals \\n CAST(obSpOutRes detSqlOtherData-> » binRecChequeCancelld AS
BIGINT):BIGINT, binRecChequeCancelLogld :BIGINT,sinlsUpdate, jsnSpOutRes\\\"\\nPL/pgSQL function sp_insert_or_update_rec_cheque_cancel(jsonb,sonbll jsonb) line 151 at CALLY", \"binSqlPk\" : 0, \'binSqlLogPk\" : 0, \'strSqlDocNo\" : null, \'detSalOtherData\” : null”,
*strSqlSysExceptionHint” : "PLipgSQL function sp_insert or_update_rec_cheque_cancel dr_ac_base log(bigint bigint) line 68 at RAISEwSQL statement \"CALL sp._insert_or_update_rec_cheque ¢ cance\ m ac_base_log(binRecChequeCancelDrAcid: BIGINT, blnR&:ChequECan(E\Lngld

L function sp_insert_or_update.rec_cheque_cancel_dr_ac_base(jsonbl[]bigint,bigint smallint) line 24 at CALI\nSQL statement \"CALL sp_insert_or_update_rec_cheque_cancel dr_ac. IDetails,\rin CAST(objSpOutRes.dctSqiOtherData-> >'bin

BIGINT):BIGINT binRecChequeCancelLogld :BIGINT,sinlsUpdate, jsrSpOutResh"\nPLipgSQL function sp_insert or_update_rec_cheque_cancelfjsonbjsonbll jscnb) line 151 at CALL, 'bquIPk".q “bqu\Lc-ng': *strSqlDocNo" : null,"dctSqiOtherData’ : null)

IGINT,anSq\Res)\'MI" ‘pgSaL
AS

DocNo | RCC/001 Date™ | 29/04/2025 ] Branch™ | BROO1: Main i
Responsible User ~ Department”  DPQO1: Account M
Narration Reference
Y
Document e | Active " Created By: Administrator(20/04/2025 11:39 AM)
Modified By
Posting Status”™ | Active v By
I Party | Cheque Activity
ChequeNo | 001 Q Date
Issued Bank | ALL BANK Depoasit Date Y @ 2
Amount: | 500.00 Currency | QAR v #  Party Currency Amount | Extra/Discount
Cheque Status  Cancelled 1D Number 1 CUS001:: Customer usD 500.00 000
Name On Branch BRO0T Main 2 CUS002: Customer A usp 50000 000
Cheque
Bank All BAnk Department  DPOD1 Account

2)Cant add other debit account after saving
3)Added Accounts are not showing in pary list
Jravyise

Received Cheque Cancel

DocNo | RCC/003 Date® | 29/04/2025 ] Branch” | BROO1: Main v E
Responsible User ~ Department’ | DPQO1: Account e
Narration ) Reference i
Document Status” | Active o Created By:  Administrator(29/04/2025 11:50 AM) ﬂ
Posting Status”™ | Active v By Mediiedty .
P Party = Cheque Activity
Cheque No | 002 Date  30/0 E
lssued Bank | ALL BANK Deposit Date  30/0 T @ 2 O
Amount: | 500.00 Cureney QAR 5 #  Party currency Amount | Extra/Discount
Chegue Status ~ Cancelled 1D Number 1 CUS001:: Customer usb 1000.00 0.00
Bank All BAnk Department DPO001 Account
d
+ Add T Q 2 @
#  Party Currency Amount Amount In QAR
1 CUS002: Customer A usD 200.00 100.00 &S mw
2 CUSDO03:: Customer ¢ usD 40000 20000 4 @
3 CUSD01:: Customer usD 200.00 100.00 & W
4 CUS001:: Customer usD 200.00 10000 & W
4)No posting when adding multiple party
g Status™ ‘
Received Cheque Cancel has Not Generated Any Posting X
Doc No: RCC/003 Status™ | Active (Posting Status) % 3 more % - OK
hegue No
cved Bank Summary = Details Y =
Amount: — T @ B punt  Extra/Discount
0.00 000
# | Main Ledger Ledger Date Transaction Currency
Currency Debit Credit Outstanding
No data
[ Close
+ Add T @ B2 @
Currency Amount Amount In QAR
Custamer A uso 200,00 10000 & W
Customer ¢ usD 400.00 20000 4 @
Customer usD 200,00 10000 & W
5)Cant delete the document
Files
1-CsModel.cs 1.63 KB 02/01/2023 Junaid M
2-tsModel.ts 1.26 KB 02/01/2023 Junaid M
3-CsFile.cs 11.6 KB 02/01/2023 Junaid M
4-CsControllerFile.cs 25.4 KB 02/01/2023 Junaid M
5-TsFile.ts 14.9 KB 02/01/2023 Junaid M
6-HtmlFile.html 1.94 KB 02/01/2023 Junaid M
sql.sql 15.1 KB 02/01/2023 Junaid M
clipboard-202409031453-6koc7.png 75.9 KB 09/03/2024 Arathy PS
